Skip to Content
SeyloDocs
API referenceExposed ports

Get a service's IP:port access

GET
/api/v1/exposures.get

Returns the first-run IP:port access of a service (open, redirecting to the primary domain, or closed, with its auto-close settings) and its open timed exposes.

Needs exposures.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
firstRun*
timed*array<>
database*|null
Example Request
curl -X GET 'https://example.com/api/v1/exposures.get?serviceId=string'
Example Response
{  "firstRun": {    "status": "open",    "address": "string",    "redirectTo": "string",    "closeAt": "2019-08-24T14:15:22Z",    "domainLiveAt": "2019-08-24T14:15:22Z",    "closeWhenDomainLive": true,    "redirectToPrimary": true,    "firewallHint": "string"  },  "timed": [    {      "id": "string",      "serviceId": "string",      "nodeId": "string",      "host": "string",      "port": 1,      "targetPort": 1,      "allowedCidrs": [        "string"      ],      "expiresAt": "2019-08-24T14:15:22Z",      "firewallHint": "string",      "openedBy": {        "kind": "user",        "name": "string"      },      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "database": {    "host": "string",    "port": 0,    "allowedCidrs": [      "string"    ]  }}